DWARF_TAG(3)

NAME
dwarf_tag - retrieve the tag associated with a DWARF debugging information entry

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
int
dwarf_tag(Dwarf_Die die, Dwarf_Half *tag, Dwarf_Error *err);

DESCRIPTION
Function dwarf_tag() retrieves the tag associated with the debugging information entry referenced by argument die, and stores it into the location pointed to by argument tag.

If argument err if non-NULL, it will be used to return an error descriptor in case of an error.

RETURN VALUES
On success, function dwarf_tag() returns DW_DLV_OK. In case of an error, it returns DW_DLV_ERROR and sets argument err.

ERRORS
Function dwarf_tag() can fail with the following error:

[DW_DLE_ARGUMENT]
    Argument die or tag was NULL.

SEE ALSO
dwarf(3), dwarf_die_abbrev_code(3), dwarf_diename(3), dwarf_dieoffset(3)